# 如何从机器学习和 AI 认真地起步

> 原文： [https://pythonbasics.org/how-to-seriously-start-with-machine-learning-and-ai/](https://pythonbasics.org/how-to-seriously-start-with-machine-learning-and-ai/)

计算机科学是一个很大的领域，但是我们将专注于人工智能和机器学习。

机器学习和 AI 用于医疗保健，汽车，政府，军事，金融和经济学，视频游戏，广告，艺术等领域。 每个有兴趣的人都可以达到的目标。

机器学习算法可以做出预测或决策。 他们使用训练数据来训练模型，他们“从数据中学习”。

因此，您了解所有这一切，并且可能想知道“我如何开始？”

## 从机器学习开始

### 课程

课堂课程或在线课程。 报名参加课程之前，了解基本知识很重要。 您并没有那么快或太慢的解释，所以确保您能赶上进度是最好的。

*   [使用 Python 入门机器学习](https://gum.co/MnRYU)
*   [伯克利 AI 入门](http://ai.berkeley.edu/lecture_videos.html)
*   [fast.ai](http://fast.ai/)
*   [Ethz 机器学习](https://www.ethz.ch/content/vp/en/lectures/d-infk/2017/autumn/252-0535-00L.html)

### 书籍

书籍既经典又安全。 真正的文档是下一步。 从人工智能到最简单的编程语言，都有关于这一切的书籍。

*   [http://www.deeplearningbook.org/](http://www.deeplearningbook.org/)
*   [http://neuralnetworksanddeeplearning.com/](http://neuralnetworksanddeeplearning.com/)

### 互联网

今天，当您考虑学习某事时，首先想到的就是 Google。

在互联网上搜索信息很有用，请不要小看自我学习。

在线教程非常适合开始练习。 如果您有计算机并且有时间去做，那么教程可能会让您了解 AI 和 ML 的工作方式。

*   [Python 机器学习](https://pythonbasics.org/machine-learning-libraries/)

![machine learning in python](img/61ed7d26f888c86bd50826965628f8e1.jpg)

### 大学

学院。 取决于您已经学习的内容和可能性； 大学是知识专业化的最佳途径。

有时大学提供一些短期课程，您可以尝试； 在进行金融投资之前，要真正了解您是否有这种想法。

无论您做什么学习，都不要忘记科学是试错法。