# 为什么要使用 Python 进行机器学习？

> 原文： [https://pythonbasics.org/why-python-for-machine-learning/](https://pythonbasics.org/why-python-for-machine-learning/)

机器学习（ML）是一种编程类型，它使计算机能够自动从提供给他们的数据中学习，并从经验中进行改进，而无需刻意进行编程。

它基于解析数据，学习和分析数据并以自主方式做出预测或智能决策的算法。



借助机器学习的这种巧妙表征，它通常可以与人工智能（AI）互换。

但是，准确地说，机器学习只是人工智能的一个子集。 机器学习是简单地应用的 AI，其基于这样的思想，即需要授予机器访问数据的权限，以便他们自己学习和分析数据。

## 为什么使用 Python 进行机器学习？

您可能会问：**用于机器学习的最佳编程语言是什么？**

如果继续阅读，您将了解为什么将 Python 用于机器学习是您的首选。

### 1\. Python 易于理解

重申一下，机器学习只是在识别数据中的模式，从而能够自己进行改进和做出明智的决策。

Python 是最合适的编程语言，因为它易于理解，您可以自己阅读。

它的可读性，非复杂性以及快速原型制作的能力使其成为全球开发人员和程序员中的流行语言。

### 2\. Python 附带了大量库

这些内置库中有许多是用于机器学习和人工智能的，可以很容易地直接使用。

一些库是：

*   **scikit-learn** 用于数据挖掘，分析和机器学习；
*   **Tensorflow** 是高级神经网络库；
*   **pylearn2** 也是数据挖掘和机器学习的理想选择，但比 scikit-learn 更灵活。

![sklearn, scikit-learn, a machine learning module for python](img/5d99d2bfbe94d99072e9460d40821ee1.jpg)

### 3\. Python 允许简单而强大的实现

使得 Python 成为机器学习的最佳选择之一的原因是它的简单而强大的实现。

对于其他编程语言，编码初学者或学生需要首先熟悉该语言，然后才能将其用于 ML 或 AI。

Python 并非如此。 即使您仅具有 Python 语言的基本知识，由于拥有大量可用的库，资源和工具，因此您可以将它用于机器学习。

此外，与使用 Java 或 C++ 相比，在 Python 上编写代码和调试错误的时间更少。

一般来说，ML 和 AI 程序员宁愿花时间构建算法和启发式算法，也不愿为语法错误而调试代码。

### 4\. 友好的语法和人类可读性

Python 是一种使用现代脚本和友好语法的面向对象的编程语言。

Python 的脚本设计具有几乎与人类一样的可读性，使脚本编写人员和程序员能够测试其假设并非常快速地运行其算法。

这就是为什么像 Java，Perl 和 C++ 这样需要硬编码的结构化编程语言通常不被机器学习所青睐的原因。

总之，无论您是经验丰富的程序员还是编码初学者，都可以使用 Python 做很多事情，这对于执行一组复杂的机器学习任务非常理想。

上面提到的所有原因都使 Python 成为 IT 界首选的且广受欢迎的语言技能。

![python readability](img/1c6e625ed7262e6bac5f6e12d1ed7531.jpg)

### 5\. 社区

最后，Python 提供了广泛的支持。 由于许多人（无论是程序员还是普通用户）都将 Python 视为标准，因此它的支持社区非常庞大，从而极大地提高了 Python 的知名度。