# 机器学习库

> 原文： [https://pythonbasics.org/machine-learning-libraries/](https://pythonbasics.org/machine-learning-libraries/)

每个程序员都应该了解 Python 机器学习的库。

如果开发人员需要从事统计技术或数据分析工作，那么他或她将（可能）考虑使用 Python。

该编程语言以友好，易学而著称，并且具有用于机器学习的大量库。

在机器学习方面，Python 绝对是最受欢迎的选择之一。



可是等等！ 首先，让我们弄清楚什么是机器学习以及什么是库。

## 什么是机器学习？

机器学习实际上是对算法的研究，该算法允许人工智能通过机器从数据中学习。

那不是令人难以置信吗？ 总有一天，技术将能够以我们人类无法实现的方式为我们学习和理解信息。

另一方面，库是用诸如 Python 之类的编程语言编写的例程和函数集。 这样，开发人员可以避免编写多行代码。

它背后的魔力是数学，统计学和概率。

## 机器学习库

那么，哪些是 python 机器学习的基本库？

### Pandas

熊猫是数据科学的基础。 这是用于数据集的强制性库，用于数据提取和准备。

熊猫提供了用于分组，合并和过滤数据以及执行时间序列分析的方法。

它有两个主要结构：一维（系列）和二维（数据帧）。

熊猫的关键字是标签和关系数据。

### Matplotlib

当开发人员考虑可视化库时，首先想到的就是这种方法。

Matplotlib 通常用于创建 2D 绘图和图形。 开发人员还可以绘制图表，直方图和散点图。

一方面有一个很低的层次，因为程序员需要知道更多的命令，但是…另一方面，有了权限和足够的命令，您就可以制作所需的图形。

### Seaborn

Seaborn 是“另一个”可视化库。 它建立在 Matplotlib 的基础上，不仅取决于它，而且还可以将其发展到更高的层次。

Seaborn 使生成某些类型的图，热图，时间序列和小提琴图更容易。

### Scikit-learn

Scikit-learn 管理两个基本术语：数据挖掘和数据分析。

是使用经典 ML 算法的理想选择。

Scikit-learn 的设计能够与 SciPy 和 NumPy 等其他 Python 库进行互操作。

![sklearn, scikit-learn, a machine learning module for python](img/5d99d2bfbe94d99072e9460d40821ee1.jpg)

### Tensorflow

TensorFlow 是用于数据流和差异化编程的最受欢迎的开源软件库之一。

有时不一定需要深度学习算法，但有用吗？ 您永远不要怀疑，这就是 TensorFlow 的目的。

TensorFlow 非常适合在以下两种平台上运行和编译：中央处理器和图形处理器。

### Theano

Theano 与 TensorFlow 有很多共同点：也用于深度学习，并且可以在 CPU 和 GPU 上使用。

这是一个多维数组，具有数学表达式和运算，两者都与 NumPy 相似。

考虑到 Theano 是最繁重的库之一，Theano 可根据需要进行评估，优化和定义。

在有监督或无监督的机器学习人工智能是改善编程和开发所必需的工具。