# 读取文件

> 原文： [https://pythonbasics.org/read-file/](https://pythonbasics.org/read-file/)

读取文件是 Python 标准库的一部分。 这意味着您不必包括任何模块。

有两种读取文件的方式：

*   逐行
*   读取一块

在本文中，我们将向您展示这两种方法。



您使用的解决方案取决于您要解决的问题。

## 示例

### 逐行

要读取文件，可以使用`readlines()`函数。 这将逐行读取文件并将其存储到列表中：

输入以下代码，将其另存为`file.py`并运行。

```py
#!/usr/bin/env python

filename = "file.py"

with open(filename) as f:
    content = f.readlines()

print(content)

```

### 读取块

您可能并不总是希望逐行读取文件。 例如，如果您的文件没有换行符或为二进制文件。 要读取文件并存储为字符串，请改用`read()`函数：

```py
#!/usr/bin/env python

filename = "file.py"

infile = open(filename, 'r')
data = infile.read()
infile.close()

print(data)

```

## 练习

1.  读取文件并每行编号
2.  找出文件不存在时程序的功能。
3.  如果与其他用户创建文件并尝试打开它会发生什么？

[下载示例](https://gum.co/dcsp)