# 学习 python 的 7 个理由

> 原文： [https://pythonbasics.org/7-reasons-to-learn-python/](https://pythonbasics.org/7-reasons-to-learn-python/)

为了完成多项任务，计算机需要了解我们。 或者至少是了解我们需要他们做什么。 出现了编程语言。

人类在不同的地方使用不同的语言，计算机在不同的任务上使用不同的语言。

在这种情况下，我们将讨论 Python。 它是由名为 Guido Van Rossum 的开发人员于 1991 年创建的。

如果您是第一次编程，那么 Python 是一个不错的选择。 开始使用后，您会发现 Python 友好且易于学习，具有大量的应用程序并且是开源的。

它具有多种编程示例和面向对象编程。

Python 被描述为一种解释型和动态编程语言，重点在于代码的可读性。 比 Java 或 C++ 具有更少的编码步骤。

知道这一点，这是学习 Python 的 7 个理由。



## 为什么学习 Python

### 数据科学 & 机器学习

数据是该主题的基础，无论您要进入哪个领域，它都将存在。 Python 是数据科学和机器学习的常用编程语言之一。 考虑到机器学习的发展，您应该尝试一下。

### 主要应用 & 更多

数据科学（包括机器学习，数据分析和数据可视化），Web 开发和脚本是 Python 的三个主要应用。 如果这还不够，那么软件开发公司中的应用程序已经多样化，例如游戏，框架和 Web 应用程序，语言开发，原型设计，图形设计应用程序等等。

### 扩展库 & 框架

Python 提供的库包括字符串操作，Internet，Web 服务工具，操作系统接口和协议等领域。 Python Package Index 包含超过 85,000 个要使用的模块和脚本。

### 开源

20 多年来，Python 一直是跨平台和开源的。 您可以在 Linux，Windows 和 Mac OS 上进行编码。

![python programming](img/2f3c943a5c5e6309dc82d8e9cec78f8f.jpg)

### 可以结合其他编程语言

CPython 与 C 编程语言一起使用，Jython 与 Java 集成，IronPython 与.NET 和 C# 兼容，PyObjc 是由 ObjectiveC 工具包编写的 Python，而 RubyPython 是与 Ruby 结合的版本。

### 提高产能

Python 使您可以用更少的代码来构建更多的功能，例如，您可以在两天内构建一个基本的游戏。

广泛的支持库和干净的面向对象设计将程序员的生产率提高了两到十倍。

它强大的过程集成功能，单元测试框架和增强的控制功能为应用程序的速度提高做出了贡献。

### 工作 & 职业

您作为程序员的职业可以与 Python 一起成长。

首先，Python 正成为主要的编程语言，因此使用 Python 是一种好处。

其次，从事数据科学，机器学习和网络开发的开发人员是收入最高的人员之一。

![python career](img/4d5254ecc51f45a1300f4157eda157be.jpg)