# 可迭代对象

> 原文： [https://pythonbasics.org/iterable/](https://pythonbasics.org/iterable/)

可迭代对象是可以用作序列的 Python 对象。 您可以使用`next()`方法转到序列的下一项。

您可以遍历可迭代对象，但不能直接访问单个元素。这是一个容器对象：当时只能返回其元素之一。



## 示例

### 创建可迭代对象

定义一个字典和一个可迭代对象的代码，如下面的代码：

```py
#!/usr/bin/python
d = { "one": 1, "two": 2, "three": 3, "four": 4, "five": 5 }
iterable = d.keys()
print(iterable)

```

您可以像这样遍历项目：

```py
for item in iterable:
    print(item)

```

### `next`方法

创建一个迭代器以使用下一个方法：

```py
#!/usr/bin/python
d = { "one": 1, "two": 2, "three": 3, "four": 4, "five": 5 }
iterable = d.keys()
iterator = iter(iterable)
print( next(iterator) )
print( next(iterator) )

```

### 可迭代类型

您不能使用索引访问元素，这将引发异常。可迭代对象类型包括列表，字符串，字典和集合。

下面的演示将迭代器应用于列表：

```py
items = [ "one","two","three","four" ]
iterator = iter(items)
x = next(iterator) 
print(x)

```

## 练习

试试下面的练习

*   什么是可迭代对象？
*   可迭代对象使用哪些类型的数据？

您可以下载以下答案：

[下载示例](https://gum.co/HhgpI)