# JSON 和 python

> 原文： [https://pythonbasics.org/json/](https://pythonbasics.org/json/)

了解如何使用 python 解析 JSON 对象。

JavaScript Object Notation（JSON）是一种数据交换格式。 虽然最初是为 JavaScript 设计的，但如今，许多计算机程序都与 Web 交互并使用 JSON。

与网络的交互通常是通过 JSON 格式的 API（应用程序可编程接口）完成的。



## python JSON 示例

### 解析 JSON

您可以使用 python 解析 JSON 对象。 然后，该对象将转换为 python 对象。

首先创建一个 json 对象

```py
{
 "gold": 1271,
 "silver": 1284,
 "platinum": 1270
}

```

之后像这样解析 JSON 对象：

```py
import json
obj = json.loads('{"gold": 1271,"silver": 1284,"platinum": 1270}')
print(obj['gold'])

```

### 从 URL 解析 JSON

您可以直接从网络上获取 JSON 对象，并将其转换为 python 对象。 这是通过 API 端点完成的

```py
import json
import urllib.request

# download raw json object
url = "https://api.gdax.com/products/BTC-EUR/ticker"
data = urllib.request.urlopen(url).read().decode()

# parse json object
obj = json.loads(data)

# output some object attributes
print('$ ' + obj['price'])
print('$ ' + obj['volume'])

```