# 将 MP3 转换为 WAV

> 原文： [https://pythonbasics.org/convert-mp3-to-wav/](https://pythonbasics.org/convert-mp3-to-wav/)

您可以在 Python 中将 MP3 直接转换为 WAV。 在本文中，我们将使用 Python 3 进行转换。 对于本教程，任何文件都可以使用。

首先，请先安装`ffmpeg`。 `ffmpeg`是用于音频，视频和多媒体处理的免费程序。 该程序具有控制台界面，但是除了安装它外，没有什么必要。



## 示例

### `pydub`

安装模块`pydub`。 这是 Python 的音频处理模块。 该模块可以打开许多多媒体音频和视频格式。 您可以使用`pip`安装此模块。

```py
pip install pydub

```

如果尚未安装`ffmpeg`，请安装它。 您可以使用包管理器来执行此操作。

对于 Ubuntu/Debian Linux：

```py
apt-get install ffmpeg

```

### MP3 到 WAV 的转换

您可以通过更改变量名称将 mp3 文件（源）转换为 wav 文件（目标）。

mp3 文件必须与程序（`.py`）位于同一目录中。 如果要使用自定义目录，请在文件名中添加路径。

```py
from os import path
from pydub import AudioSegment

# files                                                                         
src = "transcript.mp3"
dst = "test.wav"

# convert wav to mp3                                                            
sound = AudioSegment.from_mp3(src)
sound.export(dst, format="wav")

```

上面的程序使用`pydub`模块进行转换。 该模块本身使用`ffmpeg`，这意味着必须安装`ffmpeg`才能成功。

运行：

```py
python3 convert.py

```

等待程序完成。

您的目录中应该有另一个文件：

![convert mp3 to wav](img/65fc960355b27bb4127f86b0eb80b24e.jpg)

[下载音频示例](https://social.pythonbasics.org/download-audio-examples/)